List analyses for a measurement or project
curl --request GET \
--url https://api.ionworks.com/analysesimport requests
url = "https://api.ionworks.com/analyses"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"measurement_id": "<string>",
"name": "<string>",
"analysis_type": "<string>",
"id": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"columns": [
{
"name": "<string>",
"unit": "",
"dtype": "<string>"
}
],
"metadata": {},
"notes": "<string>",
"project_id": "<string>",
"created_by": "<string>"
}
],
"count": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List analyses for a measurement or project
List analyses scoped to a single measurement or a whole project.
Exactly one of measurement_id or project_id must be supplied.
List analyses for a measurement or project
Query Parameters
Filter by parent measurement ID
Filter by owning project ID
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I